/* BA custom theme. */

/* masthead */
.masthead-internal-section{padding:var(--padding-large) 0; background: var(--color-blue);}
.masthead-internal-section .section-bg:after{content: ''; background: linear-gradient(90deg, rgba(0, 42, 64, 0.60) 0%, rgba(0, 42, 64, 0.20) 100%); position: absolute; inset:0;}
.masthead-internal-section .container{z-index: 2;}

.masthead-internal-section.no-image:after{content: ''; pointer-events: none; background: url("../img/shape-sign-sky30.svg") no-repeat left center; width:calc(var(--page-side-gap) + var(--container)*0.1666); position: absolute; top:0; bottom:0; right:0;}


/* CTA-full-section */
.cta-full-section{padding:var(--padding-normal) 0; border-top:1px solid var(--color-grey);}
.cta-full-section:before{content: ''; pointer-events: none; background: url("../img/shape-sign-sky8.svg") no-repeat right center; width:calc(var(--page-side-gap) + var(--container)*0.1666); position: absolute; top:0; bottom:0; left:0;}
.cta-full-section:after{content: ''; pointer-events: none; background: url("../img/shape-sign-sky8.svg") no-repeat left center; width:calc(var(--page-side-gap) + var(--container)*0.1666); position: absolute; top:0; bottom:0; right:0;}
.cta-full-section .container{z-index: 2;}

.cta-full-section.color-white{background: var(--color-blue); border:0;}
.cta-full-section.color-white:before, .cta-full-section.color-white:after{background-image: url("../img/shape-sign-sky30.svg");}


/* main-slider */
#main-slider .item{ display: flex; align-items: center; padding:var(--padding-large) 0; min-height: calc(100vh - var(--header-height) - var(--padding-normal));}
#main-slider .item .section-bg:after{content: ''; background: linear-gradient(90deg, rgba(0, 42, 64, 0.60) 0%, rgba(0, 42, 64, 0.20) 100%); position: absolute; inset:0;}
#main-slider .slick-dots{position: absolute; margin:0; bottom:4rem; justify-content: flex-start; padding-left:var(--page-side-gap);}


/* expertise */
.expertise-section{padding:var(--padding-large) 0; z-index: 2;}
.exp-tabs-block{display: flex; align-items: stretch; gap:1.5rem;}
.exp-tabs-block .nav-tabs{gap:0.5rem; width:calc(var(--container)*0.1666); flex:none; border:0; display: flex; flex-direction: column; align-items: flex-start;}
.exp-tabs-block .nav-tabs a{color:#fff; border:1px solid transparent; border-radius:var(--radius-normal); padding:0.75rem 1.5rem; text-decoration: none; display: flex; align-items: stretch; font-size: var(--h6); font-weight: 700; line-height: 1.2;}
.exp-tabs-block .nav-tabs a:hover, .exp-tabs-block .nav-tabs a:focus{color:var(--color-light-teal); border-color:var(--color-light-teal);}
.exp-tabs-block .nav-tabs a.active{border-color:var(--color-sky); background: var(--color-sky); color:#fff;}
.exp-tabs-block .tab-content{flex-grow:1; margin-left:calc(var(--container)/24 - 1.5rem); margin-right:calc(var(--container)/24 - 1.5rem); border-radius:var(--radius-medium); background: var(--color-dark-blue); padding:2rem;}
.expertise-section .image-wrap{ mask: url("../img/mask-image.svg") no-repeat left center / auto 100%; background: url("../img/img03.jpg") no-repeat left center / auto 100%; position: absolute; left:calc(var(--page-side-gap) + var(--container)*0.5833 + 2.5rem); top:-3.5rem; bottom:-3.5rem; right:0;}


/* solutions */
.solutions-slider{margin-left:calc(-1*var(--page-side-gap)); margin-right:calc(-1*var(--page-side-gap));}
.solutions-slider .item{width:26rem; margin-left:0.75rem; margin-right:0.75rem; padding:1rem; border:1px solid var(--color-grey); border-radius:var(--radius-large); transition:border 0.2s ease, background 0.2s ease;}
.solutions-slider .area-link{z-index: 2;}
.solutions-slider .item .bg{position: absolute; inset:0; }
.solutions-slider .item:hover{border-color:var(--color-blue); background: var(--color-blue);}
.solutions-slider .image img{border-radius:var(--radius-medium); aspect-ratio:1.3714/1; object-fit: cover; width:100%; height:100%;}
.solutions-slider .content{text-align: center; padding:1.5rem 0.5rem 0.5rem 0.5rem;}
.solutions-slider .title{font-size: var(--h4);}
.solutions-slider .textbox{margin-bottom:var(--margin-normal);}
.solutions-slider .item a:not(.area-link){z-index: 5;}
.solutions-slider .slick-list{padding-left:var(--page-side-gap); padding-right:var(--page-side-gap);}


/* services */
.services-section{padding:var(--padding-large) 0;}
.services-section:before{content: ''; pointer-events: none; background: url("../img/shape-sign-sky30.svg") no-repeat right top; width:calc(var(--page-side-gap) + var(--container)*0.1666); position: absolute; top:2rem; bottom:2rem; left:0;}
.services-section:after{content: ''; pointer-events: none; background: url("../img/shape-sign-sky30.svg") no-repeat left top; width:calc(var(--page-side-gap) + var(--container)*0.1666); position: absolute; top:2rem; bottom:2rem; right:0;}
.services-section .container{z-index: 2;}
.services-listing{display: flex; flex-wrap:wrap; align-items: stretch; gap:1.5rem;}
.services-listing .item{width:calc((100% - 1.5rem*3)/4);  padding:2rem; border-radius:var(--radius-medium);}
.services-listing .title{font-size: var(--h5); margin-bottom:var(--margin-small);}
.services-listing .bg{position: absolute; inset:0; background: var(--color-light-blue); border-radius:inherit; transition:background 0.2s ease; }
.services-listing .item:hover .bg, .services-listing .item .area-link:focus ~ .bg{background: var(--color-sky);}


/* expertise */
.expertise-listing{display: flex; flex-wrap:wrap; align-items: stretch; gap:1.5rem;}
.expertise-listing .item{border-radius:var(--radius-medium); width:calc((100% - 1.5rem*2)/3); padding:1rem; display: flex; flex-direction: column; align-items:stretch;}
.expertise-listing .image{width:100%;}
.expertise-listing .image img{border-radius:var(--radius-medium); aspect-ratio:1.3714/1; width:100%; height:100%;}
.expertise-listing .bg{position: absolute; inset:0; border:1px solid var(--color-grey); border-radius:var(--radius-large); transition:background 0.2s ease, border 0.2s ease;}
.expertise-listing .content{padding:0 1rem 1rem 1rem; display: flex; flex-direction: column; align-items: flex-start; transition:color 0.2s ease;}
.expertise-listing .title{margin-top:-1.75rem; color:#fff; background: var(--color-sky); font-size: var(--h4); padding:0.65rem 1.5rem; border-radius:var(--radius-normal);}
.expertise-listing .item:hover .bg, .expertise-listing .item .area-link:focus ~ .bg{border-color:var(--color-blue); background: var(--color-blue);}
.expertise-listing .item:hover .content, .expertise-listing .item .area-link:focus ~ .content{color:#fff;}
.expertise-listing .item:hover .textbox ul li, .expertise-listing .item .area-link:focus ~ .content .textbox ul li{ background-image: url("../img/list-marker-light.svg");}


/* about */
.about-section{padding:var(--padding-large) 0;}
.about-section:before{content: ''; pointer-events: none; background: url("../img/shape-sign-sky30.svg") no-repeat right top; width:calc(var(--page-side-gap) + var(--container)*0.1666); position: absolute; top:2rem; bottom:2rem; left:0;}
.about-section:after{content: ''; pointer-events: none; background: url("../img/shape-sign-sky30.svg") no-repeat left bottom; width:calc(var(--page-side-gap) + var(--container)*0.1666); position: absolute; top:2rem; bottom:2rem; right:0;}
.about-section .container{z-index: 2;}
.about-listing{display: flex; flex-wrap:wrap; align-items: stretch; gap:1.5rem;}
.about-listing .item{width:calc((100% - 1.5rem*3)/4); padding:2rem; display: flex; flex-direction: column; text-align: center;}
.about-listing .bg{position: absolute; inset:0; border-radius:var(--radius-large); transition:background 0.2s ease;}
.about-listing .icon{height:4.375rem; margin-bottom:var(--margin-normal);}
.about-listing .icon img{height:100%; max-height: 100%;}
.about-listing .title{font-size:var(--h5); margin-bottom:var(--margin-small); }
.about-listing .item:hover .bg, .about-listing .item .area-link:focus ~ .bg{background: var(--color-light-blue);}


/* media */
.media-listing{display: flex; flex-wrap:wrap; align-items: stretch; gap:3.5rem;}
.media-listing .item{width:calc((100% - 3.5rem*2)/3); display: flex; align-items: stretch;}



/* ************************* */
/* FOOTER					 */
/* ************************* */
#footer{margin-top:auto; flex:none; border-top:1px solid var(--color-grey); }

.footer-bottom{border-top:1px solid var(--color-grey); padding:1.5rem 0; font-size: var(--text-small); color:var(--color-dark-grey); display: flex; align-items: center; justify-content: space-between; gap:3.5rem;}
.footer-bottom .footer-group{display: flex; align-items: flex-start; flex-wrap:wrap; gap:0.5rem 0;}
.footer-bottom .footer-group > div + div:before{content: '|'; margin:0 0.5rem;}
.footer-bottom .footer-group a:not(:hover):not(:focus){color:inherit;}

.footer-top{padding:var(--margin-big) 0;}
.footer-links-block{justify-content: space-between; gap:5rem; flex-wrap:nowrap;}
.footer-links .title{font-size: var(--h6); margin-bottom:var(--margin-small);}
.footer-links .title a:not(:hover):not(:focus){color:inherit;}
.footer-links ul{padding:0; list-style-type: none; display: flex; flex-direction: column; align-items: flex-start; gap:var(--margin-small);}
.footer-links ul:not(:last-child){margin-bottom:var(--margin-normal);}
.footer-links ul a{color:var(--color-base); text-decoration: none;}
.footer-links ul a:hover, .footer-links ul a:focus{color:var(--color-hover);}
.footer-brand img{width:13rem; max-width: 100%;}

.social-share{display: flex; gap:0.5rem;}
.social-share a{border-radius:50%; color:#fff; background: var(--color-blue); text-decoration: none; font-size: 1rem; width:2.5rem; height:2.5rem; display: flex; align-items: center; justify-content: center;}
.social-share a:hover, .social-share a:focus{background: var(--color-hover);}

.footer-top .contacts-block{display: flex; flex-direction: column; align-items: flex-start; gap:var(--margin-small);}
.footer-top .contacts-block .item{display: flex; align-items: flex-start; gap:0.25rem;}
.footer-top .contacts-block .item [class*='fa']{width:1rem; margin-top:0.25rem; color:var(--color-sky);}
.footer-top .contacts-block a{text-decoration: none; color:var(--color-base);}
.footer-top .contacts-block a:hover, .footer-top .contacts-block a:focus{color:var(--color-hover);}




/* ************************* */
/* RESPONSIVE				 */
/* ************************* */
@media (max-width: 1399.98px) {/* xl */
	#page-wrap{box-shadow:inset 0 0 0 0 black;}
	
	.footer-links-block{gap:2rem;}
	
	.expertise-section .image-wrap{left:calc(var(--page-side-gap) + var(--container)*0.5833);}
	.exp-tabs-block .nav-tabs{width:calc(var(--container)*0.1666 + 1.5rem);}
	.exp-tabs-block .tab-content{margin-left:0;}
	
	.about-listing .item{padding:2rem 1.5rem;}
	
	.services-section:before{background-position: left top; }
	.services-section:after{background-position: right top;}

}

@media (max-width: 1199.98px) {/* lg */
	#page-wrap{box-shadow:inset 0 0 0 0 red;}
	
	.masthead-internal-section{padding:var(--padding-normal) 0;}
	.masthead-internal-section.no-image:after{background: url("../img/shape-sign-sky30.svg") no-repeat right center; width:calc(var(--page-side-gap) + var(--container)*0.25);}
	
	.footer-links-block{gap:0;}
	
	.expertise-section .image-wrap{bottom:auto; height:60vw;}
	
	.solutions-slider .item{width:25rem;}
	
	.services-listing .item{padding:1.5rem;}
	.services-section:before{ width:calc(var(--page-side-gap) + var(--container)*0.25);}
	.services-section:after{ width:calc(var(--page-side-gap) + var(--container)*0.25);}

	
	.expertise-listing .title{font-size: var(--h5);}
	
	.about-listing .item{padding:2rem 0.5rem;}
	.about-section:before{background: url("../img/shape-sign-sky30.svg") no-repeat left top; width:calc(var(--page-side-gap) + var(--container)*0.25);}
	.about-section:after{background: url("../img/shape-sign-sky30.svg") no-repeat right bottom; width:calc(var(--page-side-gap) + var(--container)*0.25);}

	
	.media-listing{gap:1.5rem;}
	.media-listing .item{width:calc((100% - 1.5rem*2)/3);}
	
	.cta-full-section:before{background: url("../img/shape-sign-sky8.svg") no-repeat left center; width:calc(var(--page-side-gap) + var(--container)*0.25);}
	.cta-full-section:after{background: url("../img/shape-sign-sky8.svg") no-repeat right center; width:calc(var(--page-side-gap) + var(--container)*0.25);}


	
}

@media (max-width: 991.98px) {/* md */
	#page-wrap{box-shadow:inset 0 0 0 0 green;}
	
	.exp-tabs-block{flex-direction: column; align-items: stretch; gap:0;}
	.exp-tabs-block .nav-tabs{border-top-left-radius: var(--radius-medium); border-top-right-radius: var(--radius-medium); flex-direction: row; flex-wrap:wrap; width:auto; background: var(--color-dark-blue); padding:2rem 2rem 0 2rem;}
	.exp-tabs-block .nav-tabs a{border-color:var(--color-sky);}
	.exp-tabs-block .tab-content{border-top-left-radius: 0; border-top-right-radius: 0; margin:0;}
	
	.solutions-slider{margin-left:-0.375rem; margin-right:-0.375rem;}
	.solutions-slider .item{margin-left:0.375rem; margin-right:0.375rem;}
	.solutions-slider .slick-list{padding-left:0; padding-right:0;}
	
	.services-listing{gap:0.75rem;}
	.services-listing .item{width:calc((100% - 0.75rem*3)/4);}
	.services-section:before{background-size: 16vw auto;}
	.services-section:after{background-size: 16vw auto;}
	
	.expertise-listing{gap:0.75rem;}
	.expertise-listing .item{width:calc((100% - 0.75rem*2)/3);}
	
	.about-listing{gap:0.75rem;}
	.about-listing .item{width:calc((100% - 0.75rem*3)/4);}
	.about-section:before{background-size: 16vw auto;}
	.about-section:after{background-size: 16vw auto;}

	
	.media-listing{gap:0.75rem;}
	.media-listing .item{width:calc((100% - 0.75rem*2)/3);}

	#main-slider .item{min-height: inherit;}
	#main-slider .slick-dots{bottom:3rem;}
	
	.cta-full-section:before{background-size: 16vw auto;}
	.cta-full-section:after{background-size: 16vw auto;}
	
	.masthead-internal-section.no-image:after{background-size: 16vw auto; background-position: right bottom; }

}

@media (max-width: 767.98px) {/* sm */
	#page-wrap{box-shadow:inset 0 0 0 0 blue;}
	
	.footer-bottom{flex-direction: column-reverse; gap:var(--margin-small); align-items: center;}
	.footer-bottom .footer-group{flex-direction: column-reverse; gap:var(--margin-small); align-items: center;}
	.footer-bottom .footer-group > div + div:before{display: none;}
	#footer{text-align: center;}
	.footer-links-block{flex-wrap:wrap;}
	.footer-links ul{flex-direction: row; gap:0.5rem 1rem; justify-content: center; padding-left:10vw; padding-right:10vw; flex-wrap:wrap;}
	.social-share{justify-content: center;}
	.footer-top .contacts-block{align-items: center;}
	
	.expertise-section .image-wrap{ background-position:center; mask-position:center; margin-top:calc(-1*var(--padding-large) - var(--margin-big)); margin-bottom:var(--margin-big); height:80vw; position: relative; left:0; top:0;}
	
	.services-listing .item{width:calc((100% - 0.75rem)/2);}
	
	.expertise-listing .item{width:calc((100% - 0.75rem)/2);}
	
	.about-listing .item{width:calc((100% - 0.75rem)/2);}
	
	.media-listing .item{width:calc((100% - 0.75rem)/2);}
	
	
}

@media (max-width: 575.98px) {
	#page-wrap{box-shadow:inset 0 0 0 0 yellow;}
	
	.services-listing .item{width:100%;}
	
	.expertise-listing .item{width:100%;}
	.expertise-listing .title{font-size: var(--h4);}
	
	.about-listing .item{width:100%; padding:2rem;}
	.about-listing .icon{height:6rem;}
	.about-listing .title{font-size: var(--h4);}
	
	.media-listing .item{width:100%;}
}

@media (max-width: 360px) {
	#page-wrap{box-shadow:inset 0 0 0 0 red;}

}




